## celestia-data 1.7.0~git20250412%2B7cf89b3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: Celestia Development Team
# SPDX-License-Identifier: GPL-2.0-or-later

cmake_minimum_required(VERSION 3.8)

# Normalize install(DESTINATION) paths
if(POLICY CMP0177)
  cmake_policy(SET CMP0177 NEW)
endif()

# set languages to C to stop GNUInstallDirs from complaining
project(celestia VERSION "1.7.0" LANGUAGES C)

option(ENABLE_NLS     "Enable object names translation? (Default: on)" ON)

# Use our cmake files
list(INSERT CMAKE_MODULE_PATH 0 "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(GNUInstallDirs)
include(install_to_extras_subdir)

if(ENABLE_NLS)
  find_package(Gettext)
  if(NOT GETTEXT_FOUND)
    message(WARNING "Gettext is not found, traslations won't be created.")
  endif()
  include(FixGettext)
endif()

find_package(ImageMagick COMPONENTS magick)
if(NOT ImageMagick_magick_FOUND)
  find_package(ImageMagick COMPONENTS convert identify REQUIRED)
endif()

if(WIN32)
  set(CMAKE_INSTALL_BINDIR ".")
  set(CMAKE_INSTALL_DATAROOTDIR ".")
  set(CMAKE_INSTALL_DATADIR ".")
  set(CMAKE_INSTALL_FULL_LOCALEDIR "locale")
  set(CMAKE_INSTALL_LOCALEDIR "${CMAKE_INSTALL_FULL_LOCALEDIR}")
  set(DATADIR "${CMAKE_INSTALL_DATADIR}")
  set(FULL_DATADIR ".")
else()
  set(DATADIR "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}")
  set(FULL_DATADIR "${CMAKE_INSTALL_FULL_DATADIR}/${PROJECT_NAME}")
endif()

add_subdirectory(data)
add_subdirectory(extras)
add_subdirectory(extras-standard)
add_subdirectory(models)
add_subdirectory(models-extra)
add_subdirectory(po)
add_subdirectory(textures)
add_subdirectory(warp)

=== po/CMakeLists.txt ===
# SPDX-FileCopyrightText: Celestia Development Team
# SPDX-License-Identifier: GPL-2.0-or-later

if((NOT ENABLE_NLS) OR (NOT GETTEXT_FOUND))
  return()
endif()

file(GLOB PO_FILES "*.po")
gettext_create_translations2("celestia-data.pot" ALL ${PO_FILES})

=== textures/CMakeLists.txt ===
# SPDX-FileCopyrightText: Celestia Development Team
# SPDX-License-Identifier: GPL-2.0-or-later

file(GLOB TEXTURES_SOURCES "*.jpg" "*.png" "*.license")

install(FILES ${TEXTURES_SOURCES} DESTINATION "${DATADIR}/textures" COMPONENT core)

function(CreateResizedTexture target imgfile sizedir maxdim)
  get_filename_component(BASE_NAME "${imgfile}" NAME)
  set(OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}/${sizedir}_${BASE_NAME}")
  set(INSTALL_PATH "${DATADIR}/textures/${sizedir}")

  add_custom_command(
    OUTPUT "${OUTPUT_PATH}"
    COMMAND
      "${CMAKE_COMMAND}"
      "-DINPUT_PATH=${imgfile}"
      "-DOUTPUT_PATH=${OUTPUT_PATH}"
      "-DMAXDIM=${maxdim}"
      "-DImageMagick_magick_EXECUTABLE=${ImageMagick_magick_EXECUTABLE}"
      "-DImageMagick_convert_EXECUTABLE=${ImageMagick_convert_EXECUTABLE}"
      "-DImageMagick_identify_EXECUTABLE=${ImageMagick_identify_EXECUTABLE}"
      -P "${PROJECT_SOURCE_DIR}/cmake/ResizeImage.cmake"
    DEPENDS "${imgfile}"
    VERBATIM
  )

  install(FILES "${OUTPUT_PATH}" DESTINATION "${DATADIR}/textures/${sizedir}" RENAME "${BASE_NAME}" COMPONENT core)

  get_property(currentCounter GLOBAL PROPERTY "_RESIZE_UNIQUE_COUNTER")
  if(NOT currentCounter)
    set(currentCounter 1)
  endif()
  set(UNIQUE_TARGET "_resize_file_${currentCounter}")
  math(EXPR currentCounter "${currentCounter} + 1")
  set_property(GLOBAL PROPERTY "_RESIZE_UNIQUE_COUNTER" ${currentCounter})

  add_custom_target(${UNIQUE_TARGET} DEPENDS "${OUTPUT_PATH}")
  add_dependencies(${target} ${UNIQUE_TARGET})
endfunction()

add_subdirectory(hires)
add_subdirectory(medres)
add_subdirectory(lores)

=== extras-standard/iss/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 NASA Visualization Technology Applications and Development (VTAD)
# SPDX-License-Identifier: CC0-1.0

set(ISS_SOURCES
  iss.ssc
  models/iss.cmod
  textures/medres/iss_01.png
  textures/medres/iss_02.png
  textures/medres/iss_03.png
  textures/medres/iss_04.png
  textures/medres/iss_05.png
  textures/medres/iss_06.png
  textures/medres/iss_07.png
  textures/medres/iss_08.png
  textures/medres/iss_09.png
  textures/medres/iss_10.png
  textures/medres/iss_11.png
  textures/medres/iss_12.png
  textures/medres/iss_13.png
)

install_to_extras_subdir("${DATADIR}" iss ${ISS_SOURCES})

=== extras-standard/shroxmars/CMakeLists.txt ===
# SPDX-FileCopyrightText: Celestia Development Team
# SPDX-License-Identifier: GPL-2.0-or-later

set(MARS_SOURCES
  models/marsglobalsurvr.3ds
  models/marsodyssey.3ds
  shroxmars.ssc
)

install_to_extras_subdir("${DATADIR}" shroxmars ${MARS_SOURCES})

## celestia-data 1.7.0~git20250412+7cf89b3

=== data/CMakeLists.txt ===
# SPDX-FileCopyrightText: Celestia Development Team
# SPDX-License-Identifier: GPL-2.0-or-later

if(ENABLE_HIPPARCOS)
  add_custom_command(OUTPUT stars.dat COMMAND buildstardb -q DEPENDS buildstardb)
  add_custom_target(hipparcos_data ALL DEPENDS stars.dat)
endif()

set(DATA_SOURCES
  asterisms.dat
  boundaries.dat
  hdxindex.dat
  saoxindex.dat
  starnames.dat
  stars.dat
  stars.dat.license
  extrasolar.ssc
  solarsys.ssc
  charm2.stc
  extrasolar.stc
  nearstars.stc
  revised.stc
  spectbins.stc
  visualbins.stc
  asteroids_locs.ssc
  asteroids.ssc
  comets.ssc
  dwarfplanets_locs.ssc
  dwarfplanets.ssc
  earth_locs.ssc
  galaxies.dsc
  globulars.dsc
  jupitermoons_locs.ssc
  mars_locs.ssc
  marsmoons_locs.ssc
  merc_locs.ssc
  minormoons.ssc
  moon_locs.ssc
  neptunemoons_locs.ssc
  openclusters.dsc
  outersys.ssc
  pulsars.stc
  ring_locs.ssc
  saturnmoons_locs.ssc
  uranusmoons_locs.ssc
  venus_locs.ssc
  world-capitals.ssc
)

install(FILES ${DATA_SOURCES} DESTINATION "${DATADIR}/data" COMPONENT core)

=== extras-standard/CMakeLists.txt ===
# SPDX-FileCopyrightText: Celestia Development Team
# SPDX-License-Identifier: GPL-2.0-or-later

add_subdirectory(apollo)
add_subdirectory(cassini)
add_subdirectory(galileo)
add_subdirectory(hubble)
add_subdirectory(interstellar-objects)
add_subdirectory(iss)
add_subdirectory(mir)
add_subdirectory(shroxclassic)
add_subdirectory(shroxmars)
add_subdirectory(skylab)

=== models/CMakeLists.txt ===
# SPDX-FileCopyrightText: Celestia Development Team
# SPDX-License-Identifier: GPL-2.0-or-later

file(GLOB MODELS_SOURCES "*.3ds" "*.cmod" "*.cms" "*.png" "*.license")
install(FILES ${MODELS_SOURCES} DESTINATION "${DATADIR}/models" COMPONENT core)

=== warp/CMakeLists.txt ===
# SPDX-FileCopyrightText: Celestia Development Team
# SPDX-License-Identifier: GPL-2.0-or-later

set(WARP_SOURCES
  warp.map
)

install(FILES ${WARP_SOURCES} DESTINATION "${DATADIR}/warp" COMPONENT core)

=== extras-standard/apollo/CMakeLists.txt ===
# SPDX-FileCopyrightText: Celestia Development Team
# SPDX-License-Identifier: GPL-2.0-or-later

set(APOLLO_SOURCES
  apollo.ssc
  models/apollo.3ds
)

install_to_extras_subdir("${DATADIR}" apollo ${APOLLO_SOURCES})

=== extras-standard/cassini/CMakeLists.txt ===
# SPDX-FileCopyrightText: Celestia Development Team
# SPDX-License-Identifier: GPL-2.0-or-later

set(CASSINI_SOURCES
  data/cassini-cruise.xyzv
  data/cassini-saturn_01y.xyzv
  data/cassini-saturn_02y.xyzv
  data/cassini-saturn_03y.xyzv
  data/cassini-saturn_04y.xyzv
  data/cassini-saturn_05y.xyzv
  data/cassini-saturn_06y.xyzv
  data/cassini-saturn_07y.xyzv
  data/cassini-saturn_08y.xyzv
  data/cassini-saturn_09y.xyzv
  data/cassini-saturn_10y.xyzv
  data/cassini-saturn_11y.xyzv
  data/cassini-saturn_12y.xyzv
  data/cassini-saturn_13y.xyzv
  data/cassini-saturn_14y.xyzv
  data/huygens.xyzv
  cassini.ssc
  models/cassini.3ds
  models/huygens.3ds
)

install_to_extras_subdir("${DATADIR}" cassini ${CASSINI_SOURCES})

=== extras-standard/galileo/CMakeLists.txt ===
# SPDX-FileCopyrightText: Celestia Development Team
# SPDX-License-Identifier: GPL-2.0-or-later

set(GALILEO_SOURCES
  galileo.ssc
  data/galileo-cruise.xyzv
  data/galileo-orbit.xyzv
  data/galileo-probe.xyzv
  models/galileo.cmod
  models/galileo-probe.3ds
  textures/medres/foil_gold_ramp.png
  textures/medres/foil_n.png
  textures/medres/Galileo_Probe.jpg
  textures/medres/galileo_tex_01.jpg
  textures/medres/galileo_tex_02.jpg
)

install_to_extras_subdir("${DATADIR}" galileo ${GALILEO_SOURCES})

=== extras-standard/interstellar-objects/CMakeLists.txt ===
# SPDX-FileCopyrightText: Celestia Development Team
# SPDX-License-Identifier: GPL-2.0-or-later

set(INTERSTELLAR_SOURCES
  data/borisov.xyzv
  data/oumuamua.xyzv
  interstellar-objects.ssc
)

install_to_extras_subdir("${DATADIR}" interstellar-objects ${INTERSTELLAR_SOURCES})

=== extras-standard/mir/CMakeLists.txt ===
# SPDX-FileCopyrightText: Celestia Development Team
# SPDX-License-Identifier: GPL-2.0-or-later

set(MIR_SOURCES
  models/mir.3ds
  mir.ssc
)

install_to_extras_subdir("${DATADIR}" mir ${MIR_SOURCES})

=== textures/hires/CMakeLists.txt ===
# SPDX-FileCopyrightText: Celestia Development Team
# SPDX-License-Identifier: GPL-2.0-or-later

file(GLOB HIRES_IMAGES "*.jpg" "*.png" "*.dds")
file(GLOB HIRES_LICENSES "*.license")

install(FILES ${HIRES_IMAGES} DESTINATION "${DATADIR}/textures/hires" COMPONENT core)
install(FILES ${HIRES_LICENSES} DESTINATION "${DATADIR}/textures/hires" COMPONENT core)
install(FILES ${HIRES_LICENSES} DESTINATION "${DATADIR}/textures/medres" COMPONENT core)
install(FILES ${HIRES_LICENSES} DESTINATION "${DATADIR}/textures/lores" COMPONENT core)

add_custom_target(hires_downscale ALL)

foreach(IMG IN LISTS HIRES_IMAGES)
  CreateResizedTexture(hires_downscale "${IMG}" medres 2048)
  CreateResizedTexture(hires_downscale "${IMG}" lores 1024)
endforeach()

=== textures/lores/CMakeLists.txt ===
# SPDX-FileCopyrightText: Celestia Development Team
# SPDX-License-Identifier: GPL-2.0-or-later

file(GLOB LORES_IMAGES "*.jpg" "*.png" "*.dds")
file(GLOB LORES_LICENSES "*.license")

install(FILES ${LORES_IMAGES} DESTINATION "${DATADIR}/textures/lores" COMPONENT core)
install(FILES ${LORES_LICENSES} DESTINATION "${DATADIR}/textures/lores" COMPONENT core)

=== textures/medres/CMakeLists.txt ===
# SPDX-FileCopyrightText: Celestia Development Team
# SPDX-License-Identifier: GPL-2.0-or-later

file(GLOB MEDRES_IMAGES "*.jpg" "*.png" "*.dds")
file(GLOB MEDRES_LICENSES "*.license")

install(FILES ${MEDRES_IMAGES} DESTINATION "${DATADIR}/textures/medres" COMPONENT core)
install(FILES ${MEDRES_LICENSES} DESTINATION "${DATADIR}/textures/medres" COMPONENT core)
install(FILES ${MEDRES_LICENSES} DESTINATION "${DATADIR}/textures/lores" COMPONENT core)

add_custom_target(medres_downscale ALL)

foreach(IMG IN LISTS MEDRES_IMAGES)
  CreateResizedTexture(medres_downscale "${IMG}" lores 1024)
endforeach()

=== debian/changelog ===
celestia-data (1.7.0~git20250412+7cf89b3-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 24 Apr 2025 12:48:38 -0700

celestia-data (1.7.0~git20241113+5c493979+0) UNRELEASED; urgency=medium

  * New snapshot build.
  * Remove old entries from the changelog.
  * Split textures to own packages.

 -- Hleb Valoshka <375gnu@gmail.com>  Sat, 08 Jan 2022 17:39:22 +0200

celestia-data (1.7.0~git20211202+668347e9+0) bionic; urgency=medium

  * New snapshot build
  * Install translations for celestia-data.

 -- Hleb Valoshka <375gnu@gmail.com>  Thu, 02 Dec 2021 11:09:22 +0200

=== debian/control ===
Source: celestia-data
Section: science
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Hleb Valoshka <375gnu@gmail.com>
Build-Depends: cmake, debhelper (>= 10~), imagemagick
Standards-Version: 4.0.0
Homepage: https://github.com/CelestiaProject/CelestiaContent

Package: celestia-data
Architecture: all
Conflicts: celestia (<< 1.4.1),
           celestia-common (<< 1.7.0~),
           celestia-common-nonfree (<< 1.7.0~)
Replaces: celestia (<< 1.4.1),
          celestia-common (<< 1.7.0~),
          celestia-common-nonfree (<< 1.7.0~)
Recommends: celestia
Depends: celestia-textures-medres | celestia-textures-hires | celestia-textures-lores,
         ${misc:Depends}
Pre-Depends: celestia-tools
Description: data files for Celestia, a real-time visual space simulation
 Celestia is a free 3D astronomy program. Based on the Hipparcos
 Catalogue, it allows users to display objects ranging in scale from
 artificial satellites to entire galaxies in three dimensions using
 OpenGL. Unlike most planetarium software, the user is free to travel
 about the Universe.
 .
 This package installs the data files for Celestia.

Package: celestia-textures-medres
Architecture: all
Conflicts: celestia (<< 1.4.1),
           celestia-common (<< 1.7.0~),
           celestia-common-nonfree (<< 1.7.0~)
Replaces: celestia (<< 1.4.1),
          celestia-common (<< 1.7.0~),
          celestia-common-nonfree (<< 1.7.0~)
Recommends: celestia
Depends: ${misc:Depends}
Pre-Depends: celestia-tools
Description: data files for Celestia, a real-time visual space simulation
 Celestia is a free 3D astronomy program. Based on the Hipparcos
 Catalogue, it allows users to display objects ranging in scale from
 artificial satellites to entire galaxies in three dimensions using
 OpenGL. Unlike most planetarium software, the user is free to travel
 about the Universe.
 .
 This package contains the medium resolution textures for Celestia.

Package: celestia-textures-hires
Architecture: all
Conflicts: celestia (<< 1.4.1),
           celestia-common (<< 1.7.0~),
           celestia-common-nonfree (<< 1.7.0~)
Replaces: celestia (<< 1.4.1),
          celestia-common (<< 1.7.0~),
          celestia-common-nonfree (<< 1.7.0~)
Recommends: celestia
Depends: ${misc:Depends}
Pre-Depends: celestia-tools
Description: data files for Celestia, a real-time visual space simulation
 Celestia is a free 3D astronomy program. Based on the Hipparcos
 Catalogue, it allows users to display objects ranging in scale from
 artificial satellites to entire galaxies in three dimensions using
 OpenGL. Unlike most planetarium software, the user is free to travel
 about the Universe.
 .
 This package contains the high resolution textures for Celestia.

Package: celestia-textures-lores
Architecture: all
Conflicts: celestia (<< 1.4.1),
           celestia-common (<< 1.7.0~),
           celestia-common-nonfree (<< 1.7.0~)
Replaces: celestia (<< 1.4.1),
          celestia-common (<< 1.7.0~),
          celestia-common-nonfree (<< 1.7.0~)
Recommends: celestia
Depends: ${misc:Depends}
Pre-Depends: celestia-tools
Description: data files for Celestia, a real-time visual space simulation
 Celestia is a free 3D astronomy program. Based on the Hipparcos
 Catalogue, it allows users to display objects ranging in scale from
 artificial satellites to entire galaxies in three dimensions using
 OpenGL. Unlike most planetarium software, the user is free to travel
 about the Universe.
 .
 This package contains the low resolution textures for Celestia.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	mkdir debian/tmp/usr/share/celestia/extras
	dh_install
	dh_missing --list-missing

=== debian/watch ===
version=3
https://github.com/CelestiaProject/CelestiaContent/tags .*/([\d.]+)\.tar\.gz
